Bug 1956920 - can't open terminal for pods that have more than one container running
Summary: can't open terminal for pods that have more than one container running
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-04 16:33 UTC by Samuel Padgett
Modified: 2021-05-08 07:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Version: 4.8.0-0.nightly-2021-04-30-102231 Cluster ID: 6f4e1f44-6f43-496f-ac48-f7197dcfbba0 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:88.0) Gecko/20100101 Firefox/88.0
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8853 0 None open Bug 1956920: can't open terminal for pods that have more than one co… 2021-05-04 16:34:10 UTC

Description Samuel Padgett 2021-05-04 16:33:32 UTC
Migrated from https://github.com/openshift/console/issues/8762. See the full discussion in that issue.

"When we try to open a terminal to a pod that has more than one container, we can get to a terminal for the default container but when we switch containers we receive the following error:

    Oh no! Something went wrong.
    Description:
    This API only accepts integers

The details box has the following stack trace:

vendors~main-chunk-08b0abf6231b0b9835e1.min.js:163997 Error: This API only accepts integers
    at e._verifyIntegers (vendors~main-chunk-08b0abf6231b0b9835e1.min.js:100807)
    at e.refresh (vendors~main-chunk-08b0abf6231b0b9835e1.min.js:100807)
    at Object.onConnectionClosed (303-chunk-8193ff095b2a5fbf4a73.min.js:1)
    at Object.connect_ (303-chunk-8193ff095b2a5fbf4a73.min.js:1)
    at Object.<anonymous> (303-chunk-8193ff095b2a5fbf4a73.min.js:1)
    at Ni (vendors~main-chunk-08b0abf6231b0b9835e1.min.js:163997)
    at Li (vendors~main-chunk-08b0abf6231b0b9835e1.min.js:163997)
    at vendors~main-chunk-08b0abf6231b0b9835e1.min.js:163997
    at t.unstable_runWithPriority (vendors~main-chunk-08b0abf6231b0b9835e1.min.js:164291)
    at li (vendors~main-chunk-08b0abf6231b0b9835e1.min.js:163997)"

Comment 2 Yadan Pei 2021-05-08 07:43:55 UTC
1. Create a deploymentconfig which will deploy a pod with two containers
apiVersion: apps.openshift.io/v1
kind: DeploymentConfig
metadata:
  name: exampletest
spec:
  selector:
    app: httpd
  replicas: 1
  template:
    metadata:
      labels:
        app: httpd
    spec:
      containers:
        - name: httpd
          image: >-
            image-registry.openshift-image-registry.svc:5000/openshift/httpd:latest
          ports:
            - containerPort: 8080
        - name: containertwo
          image: >-
            quay.io/openshifttest/hello-openshift@sha256:424e57db1f2e8e8ac9087d2f5e8faea6d73811f0b6f96301bc94293680897073
          ports:
          - containerPort: 8080
            protocol: TCP
          resources:
            limits:
              memory: 256Mi

$ oc get pods -n yapei2
NAME                   READY   STATUS      RESTARTS   AGE
exampletest-1-deploy   0/1     Completed   0          14s
exampletest-1-fcz9x    2/2     Running     0          11s

2. Wait for all containers are ready, visit pod terminal we connect to one container by default, switch to another container terminal via container dropdown, container can be switched successfully, no errors

Verified on 4.8.0-0.nightly-2021-05-07-075528


Note You need to log in before you can comment on or make changes to this bug.